onEvent("recipes", (event) => {

//Compact Machine Wall
event.remove({ output: '16x compactmachines:wall' })
event.shaped('8x compactmachines:wall', [
'LGL',
'GAG',
'LGL'
], {
  L: 'sophisticatedbackpacks:compacting_upgrade',
  G: 'minecraft:redstone',
  A: 'bigreactors:basic_reactorcasing'
})

//PSD
event.remove({ output: 'compactmachines:personal_shrinking_device' })
event.shaped('compactmachines:personal_shrinking_device', [
'LZL',
'GAG',
'LGL'
], {
  L: 'immersiveengineering:wire_steel',
  G: 'hexerei:mahogany_planks',
  A: 'hexerei:blood_sigil',
  Z: 'immersiveengineering:insulating_glass'
})

//Compact Machine craft function setup
function craft(result, ore, machine) {
  event.remove({ output: result })
  event.shaped(result, [
  'ABA',
  'ACA',
  'ABA'
  ], {
    A: ore,
    B: machine,
    C: 'minecraft:ender_eye'
  })
}


//Compact Machines Craft Editing

//Small
craft('compactmachines:machine_small', 'minecraft:iron_ingot', 'compactmachines:machine_tiny')
//Normal
craft('compactmachines:machine_normal', 'minecraft:gold_ingot', 'compactmachines:machine_small')
//Large
craft('compactmachines:machine_large', 'minecraft:iron_ingot', 'compactmachines:machine_normal')
//Giant
craft('compactmachines:machine_giant', 'minecraft:diamond', 'compactmachines:machine_large')
//Maximum
event.remove({ output: 'compactmachines:machine_maximum' })
event.shaped('compactmachines:machine_maximum', [
'ABA',
'DCD',
'ABA'
], {
  A: 'minecraft:netherite_ingot',
  B: 'compactmachines:machine_giant',
  C: 'minecraft:ender_eye',
  D: 'minecraft:emerald_block'
})
})
